| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD

## Class Attribute

    java.lang.Object
      |
      +--Attribute

Direct Known Subclasses:
  AttributeInfo, CodeAttribute

public abstract class Attribute
extends java.lang.Object

Field Summary
`private short` | `attribute_name_index`

Constructor Summary
`Attribute()`

Method Summary
`abstract void` | `codegen(ClassFile classfile, java.io.FileOutputStream f)`
`short` | `get_attribute_name_index()`
`abstract int` | `get_attributes_length()`
`void` | `set_attribute_name_index(short t)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### attribute_name_index

    private short attribute_name_index

Constructor Detail

### Attribute

    public Attribute()

Method Detail

### get_attribute_name_index

    public short get_attribute_name_index()

### set_attribute_name_index

    public void set_attribute_name_index(short t)

### codegen

    public abstract void codegen(ClassFile classfile,
                                 java.io.FileOutputStream f)
                          throws JVMCodeException

    `JVMCodeException`

### get_attributes_length

    public abstract int get_attributes_length()

| Package
| Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD DETAIL: FIELD | CONSTR | METHOD